--- a/qtkeychain-e5b070831cf1ea3cb98c95f97fcb7439f8d79bd6/qtkeychain.pri	2021-04-14 00:17:51.983960381 +0000
+++ a/qtkeychain-e5b070831cf1ea3cb98c95f97fcb7439f8d79bd6/qtkeychain.pri	2021-04-14 00:26:37.210659292 +0000
@@ -25,7 +25,7 @@
 unix:!android:!macx:!ios {
     # Remove the following LIBSECRET_SUPPORT line
     # to build without libsecret support.
-    DEFINES += LIBSECRET_SUPPORT
+#    DEFINES += LIBSECRET_SUPPORT
     contains(DEFINES, LIBSECRET_SUPPORT) {
         packagesExist(libsecret-1) {
             !build_pass:message("Libsecret support: on")
@@ -41,20 +41,20 @@
     }
 
     # Generate D-Bus interface:
-    DEFINES += KEYCHAIN_DBUS
-    QT += dbus
-    kwallet_interface.files = $$PWD/org.kde.KWallet.xml
-    DBUS_INTERFACES += kwallet_interface
+#    DEFINES += KEYCHAIN_DBUS
+#    QT += dbus
+#    kwallet_interface.files = $$PWD/org.kde.KWallet.xml
+#    DBUS_INTERFACES += kwallet_interface
 
-    HEADERS += \
-        $$QTKEYCHAIN_PWD/gnomekeyring_p.h \
-        $$QTKEYCHAIN_PWD/plaintextstore_p.h \
-        $$QTKEYCHAIN_PWD/libsecret_p.h
-    SOURCES += \
-        $$QTKEYCHAIN_PWD/keychain_unix.cpp \
-        $$QTKEYCHAIN_PWD/plaintextstore.cpp \
-        $$QTKEYCHAIN_PWD/gnomekeyring.cpp \
-        $$QTKEYCHAIN_PWD/libsecret.cpp
+#    HEADERS += \
+#        $$QTKEYCHAIN_PWD/gnomekeyring_p.h \
+#        $$QTKEYCHAIN_PWD/plaintextstore_p.h \
+#        $$QTKEYCHAIN_PWD/libsecret_p.h
+#    SOURCES += \
+#        $$QTKEYCHAIN_PWD/keychain_unix.cpp \
+#        $$QTKEYCHAIN_PWD/plaintextstore.cpp \
+#        $$QTKEYCHAIN_PWD/gnomekeyring.cpp \
+#        $$QTKEYCHAIN_PWD/libsecret.cpp
 }
 
 android {

--- a/qtkeychain-e5b070831cf1ea3cb98c95f97fcb7439f8d79bd6/CMakeLists.txt	2021-04-14 00:17:51.980627048 +0000
+++ a/qtkeychain-e5b070831cf1ea3cb98c95f97fcb7439f8d79bd6/CMakeLists.txt	2021-04-14 00:25:36.330655555 +0000
@@ -58,14 +58,14 @@
     set(QTANDROIDEXTRAS_LIBRARIES ${Qt5AndroidExtras_LIBRARIES})
   endif()
 
-  if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
-    find_package(Qt5 COMPONENTS DBus REQUIRED)
-    include_directories(${Qt5DBus_INCLUDE_DIRS})
-    set(QTDBUS_LIBRARIES ${Qt5DBus_LIBRARIES})
-    macro(qt_add_dbus_interface)
-      qt5_add_dbus_interface(${ARGN})
-    endmacro()
-  endif()
+#  if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
+#    find_package(Qt5 COMPONENTS DBus REQUIRED)
+#    include_directories(${Qt5DBus_INCLUDE_DIRS})
+#    set(QTDBUS_LIBRARIES ${Qt5DBus_LIBRARIES})
+#    macro(qt_add_dbus_interface)
+#      qt5_add_dbus_interface(${ARGN})
+#    endmacro()
+#  endif()
 
   if(BUILD_TRANSLATIONS)
     find_package(Qt5 COMPONENTS LinguistTools REQUIRED)
@@ -182,8 +182,8 @@
 
     add_definitions(-DKEYCHAIN_DBUS=1)
     list(APPEND qtkeychain_SOURCES keychain_unix.cpp gnomekeyring.cpp libsecret.cpp plaintextstore.cpp)
-    qt_add_dbus_interface(qtkeychain_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.KWallet.xml kwallet_interface KWalletInterface)
-    list(APPEND qtkeychain_LIBRARIES ${QTDBUS_LIBRARIES} )
+#    qt_add_dbus_interface(qtkeychain_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.KWallet.xml kwallet_interface KWalletInterface)
+    list(APPEND qtkeychain_LIBRARIES )
 endif()
 
 if(ANDROID)
@@ -284,9 +284,9 @@
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfigVersion.cmake"
   SOVERSION ${QTKEYCHAIN_VERSION})
 
-if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
-    set(PRI_EXTRA_DEPS "dbus")
-endif()
+#if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
+#    set(PRI_EXTRA_DEPS "dbus")
+#endif()
 ecm_generate_pri_file(BASE_NAME Qt${QTKEYCHAIN_VERSION_INFIX}Keychain
   LIB_NAME ${QTKEYCHAIN_TARGET_NAME}
   DEPS "core ${PRI_EXTRA_DEPS}"

--- a/qtkeychain-e5b070831cf1ea3cb98c95f97fcb7439f8d79bd6/keychain.cpp	2021-04-14 00:17:51.980627048 +0000
+++ a/qtkeychain-e5b070831cf1ea3cb98c95f97fcb7439f8d79bd6/keychain.cpp	2021-04-14 00:21:02.347305401 +0000
@@ -68,9 +68,9 @@
     emitFinished();
 }
 
-void Job::scheduledStart() {
-    d->scheduledStart();
-}
+//void Job::scheduledStart() {
+//    d->scheduledStart();
+//}
 
 Error Job::error() const {
     return d->error;
@@ -162,7 +162,7 @@
         connect( next, SIGNAL(finished(QKeychain::Job*)), this, SLOT(jobFinished(QKeychain::Job*)) );
         connect( next, SIGNAL(destroyed(QObject*)), this, SLOT(jobDestroyed(QObject*)) );
         m_jobRunning = true;
-        next->scheduledStart();
+//        next->scheduledStart();
     }
 }
 
@@ -200,7 +200,7 @@
     , error( NoError )
     , service( service_ )
     , autoDelete( true )
-    , insecureFallback( false )
+    , insecureFallback( true )
 {
 }
 
